org.apache.http.conn

## Interface HttpClientConnectionOperator

- All Known Implementing Classes:
    DefaultHttpClientConnectionOperator

      public interface HttpClientConnectionOperator

  Connection operator that performs connection connect and upgrade operations. Usually, components participating in these operations are registry of `ConnectionSocketFactory`, `SchemePortResolver` and `DnsResolver`. In general, HTTP client user should not provide implementations of this interface, as HttpClient will use the default one that covers most of the cases needed for majority of users.
  Since:
    4.4

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connect(ManagedHttpClientConnection conn, org.apache.http.HttpHost host, InetSocketAddress localAddress, int connectTimeout, org.apache.http.config.SocketConfig socketConfig, org.apache.http.protocol.HttpContext context)`
    `void` | `upgrade(ManagedHttpClientConnection conn, org.apache.http.HttpHost host, org.apache.http.protocol.HttpContext context)`

- - ### Method Detail

    - #### connect

          void connect(ManagedHttpClientConnection conn,
                     org.apache.http.HttpHost host,
                     InetSocketAddress localAddress,
                     int connectTimeout,
                     org.apache.http.config.SocketConfig socketConfig,
                     org.apache.http.protocol.HttpContext context)
                       throws IOException

      Throws:
        `IOException`

    - #### upgrade

          void upgrade(ManagedHttpClientConnection conn,
                     org.apache.http.HttpHost host,
                     org.apache.http.protocol.HttpContext context)
                       throws IOException

      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.